GetRuleSetImport
Fetches an imported rule set object specified by its UUID.
GET
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
rule-set-imports
/
{uuid}
GetRuleSetImport
curl --request GET \
--url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/rule-set-imports/{uuid}import requests
url = "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/rule-set-imports/{uuid}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/rule-set-imports/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"rule_type": "RULE_TYPE_UNSPECIFIED",
"bytes": "aSDinaTvuI8gbWludGxpZnk=",
"opengrep_validate": true,
"result": {
"errors": [
"<string>"
],
"processing_time": 123,
"status": "IMPORTED_RULE_SET_RESULT_STATUS_UNSPECIFIED"
},
"rule_source_type": "RULE_SOURCE_TYPE_UNSPECIFIED",
"sha256_hash": "<string>",
"version": "<string>"
},
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
The UUID of the requested resource.
Query Parameters
List of fields to return (all fields are returned by default).
Response
A successful response.
ImportedRuleSet represents a request to import a set of rules.
Was this page helpful?
⌘I
GetRuleSetImport
